Subject: bug#6364: [PATCH] Use GetCharABCWidthsFloatW if GetGlyphOutlineW fails.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Nov 2013 22:20:29 +0200

> From: Tom Seddon <[email-masked]>
> Date: Tue, 26 Nov 2013 19:39:37 +0000
> Cc: [email-masked]
> 
> > Thanks, but can you please provide a reproducible test case, including
> > the font where the slow scrolling happens?  I don't see any fonts
> > named in these bug reports.
> 
> Certainly. I've uploaded some test cases to http://www.tomseddon.plus.com/.emacs/bug6364.tar.gz.

Thanks, I will use that and see what I get.

> > Are there other possibilities to fix this, without using
> > GetCharABCWidthsFloatW?  The problem with that function is that it is
> > not available on Windows 9X (in the unicows.dll library), so this
> > problem will be left unsolved on those systems.
> 
> I couldn't find a good list when I was writing the code so I just went by DUMPBIN /EXPORTS and spotted it as export #158. (Don't ask me why I've got any copies at all on my Windows 7 PC! - I expect some program installed it just in case.)

The export exists, but the function is a stub, not a real
implementation, AFAIK.

> I've found an official (if outdated-looking) list now. So if GetCharABCWidthsFloatW ends up your only objection, I'll update the code to use a function from the official list. 

Sorry, I don't understand what you mean.  Which official list did you
find, and what does it say about this?